import os
import numpy as np
import sys
import sklearn
import pandas as pd
import statistics


import time
import matplotlib.pyplot as plt
from matplotlib.ticker import PercentFormatter
from scipy.stats import norm
import matplotlib as mpl
from scipy import stats


data = pd.read_csv('data_traffic_normal.csv', header=None)
data = data.iloc[:1500]


lw = 0.5

plt.figure(dpi=300, figsize=(8,4))
print(plt.style.available)



id, real, pred =  data.iloc[:, 0], data.iloc[:, 3], data.iloc[:, 14]


plt.xlabel("Traffic (KBps)", fontsize=12)
plt.ylabel("Percentage" , fontsize=12)
plt.title("Network Traffic")

n_bins = 20


kwargs = dict(alpha=0.9, bins=100)
plt.hist(real, **kwargs, color='blue', label='real traffic')
plt.hist(pred, **kwargs, color='orange', label='predicted traffic')

_, bins, _ = plt.hist(pred, 20, density=1, alpha=1)

mu, sigma = stats.norm.fit(pred)
best_fit_line = stats.norm.pdf(bins, mu, sigma)
plt.plot(bins, best_fit_line)

plt.legend(loc="upper right", fontsize=12)
plt.gca().yaxis.set_major_formatter(PercentFormatter(xmax=1500))
stringText = "traffic_histogram.png"
plt.savefig(stringText)
plt.clf()
plt.cla()
