import pandas as pd
import matplotlib.pyplot as plt

# Step 1: Read the CSV file into a DataFrame
df = pd.read_csv('dataB.csv')

# Step 2: Create a scatter plot
plt.figure(figsize=(5, 4))

# Plot data points where class == 1
class_1 = df[df['38_class_1'] == 1]
plt.scatter(class_1['3_CNN'], class_1['10_chebyshev'], c='red', marker='x', label='GOOSE Spoofing')


# Plot data points where class == 0
class_2 = df[df['38_class_1'] == 0]
plt.scatter(class_2['3_CNN'], class_2['10_chebyshev'], c='blue',edgecolor='blue', facecolor='none', marker='o',linewidths=1,s=10, label='GOOSE Normal')

# Plot data points where class == 2
class_3 = df[df['38_class_1'] == 2]
plt.scatter(class_3['3_CNN'], class_3['10_chebyshev'], c='red', marker='+', label='Other Cyber Attacks')


# Step 3: Add labels and a legend
plt.xlabel(r'CNN ($\alpha$)')
plt.ylabel(r'Chebysev ($\beta$)')
plt.title('Scatter Plot of CNN vs. Chebysev')
plt.legend()

# Show the plot
# plt.show()

plt.savefig('scatter_plot2D.pdf', dpi=300)